import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { c as cls } from './helpers.js';
import { d as defineCustomElement$2 } from './component2.js';

const XSegmentItem$1 = /*@__PURE__*/ proxyCustomElement(class XSegmentItem extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.value = undefined;
        this.icon = undefined;
        this.active = false;
    }
    /**
     * Render element
     */
    render() {
        return h(Host, { key: 'e254ca0b13cbc931fc5bf61379b0d8234c1a478a', class: cls({ 'active': this.active }) }, this.icon && h("x-icon", { key: 'dac2d8cb90bb17da69ed011860a32de52d071ad4', name: this.icon }), h("span", { key: 'fce8631fa3c0c7d4505c07f07b0a949a2a25ff8c' }, h("slot", { key: 'b4e561b62792af9b105cbea79772b773f1ba5476' })));
    }
    get el() { return this; }
}, [4, "x-segment-item", {
        "value": [1],
        "icon": [1],
        "active": [4]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["x-segment-item", "x-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "x-segment-item":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, XSegmentItem$1);
            }
            break;
        case "x-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const XSegmentItem = XSegmentItem$1;
const defineCustomElement = defineCustomElement$1;

export { XSegmentItem, defineCustomElement };
